$title indagine di mercato

Sets
persone /DS, DNS, US, UNS/
periodo /mattino, sera/;

Parameters
t(persone) "taglia minima da raggiungere"
/ DS  150
  DNS 110
  US  120
  UNS 100 /

c(periodo) "costo telefonata"
/ mattino 1.0
  sera    1.6 /;

Table
perc(persone, periodo)
     mattino  sera
DS   .30      .30
DNS  .10      .20
US   .10      .30
UNS  .10      .15 ;

Integer variable x(periodo) "numero di telefonate da fare per periodo";
Variable z "costo";

x.up(periodo) = 10000;

Equations
cost "funzione obiettivo"
minimi(persone);

cost.. z =e= sum(periodo, c(periodo) * x(periodo));
minimi(persone).. sum(periodo, perc(persone, periodo) * x(periodo)) =g= t(persone);

Model indagine /all/;
Solve indagine using mip minimizing z;
display z.l, x.l;
