Sets
	i colture /mais, grano, orzo/
	j tenute /1, 2, 3/ ;

Parameters
	K(j) dimensione tenute
	/ 1  600
	  2  700
	  3  500 /
	Q(j) disponibilita' acqua
	/ 1  8000
	  2  5500
	  3  6000 /
	p(i) profitto
	/ mais   6500
	  grano  5000
	  orzo   6000 /
	c(i) consumo acqua
	/ mais  16 
	  grano  12 
	  orzo  14 /;

Variables
	y(j)  tenuta incolta
	x(i,j) quantita' ettari tenuta j a coltura i
	z	funzione obiettivo;
	
Binary variable y;
Positive variable x;

Equations
	profitto	funzione obiettivo
	cap(j)	capacita' tenuta
	con(j)  consumo acqua
	rule    almeno una incolta;

profitto.. z =e= sum((i,j), p(i)*x(i,j));

cap(j).. sum(i, x(i,j)) =l= K(j) - 200*y(j);

con(j).. sum(i, c(i)*x(i,j)) =l= Q(j);

rule.. sum(j, y(j)) =g= 1;

Model plant /all/;

option optcr = 0.0;

solve plant using mip maximizing z;

display x.l, y.l, z.l;
